aws-0.24.2: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Ozgun Ataman <ozgun.ataman@soostone.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.UpdateItem

Description

Synopsis

- data UpdateItem = UpdateItem {
  - uiTable :: Text
  - uiKey :: PrimaryKey
  - uiUpdates :: [AttributeUpdate]
  - uiExpect :: Conditions
  - uiReturn :: UpdateReturn
  - uiRetCons :: ReturnConsumption
  - uiRetMet :: ReturnItemCollectionMetrics
  }
- updateItem :: Text -> PrimaryKey -> [AttributeUpdate] -> UpdateItem
- data AttributeUpdate = AttributeUpdate {
  - auAttr :: Attribute
  - auAction :: UpdateAction
  }
- au :: Attribute -> AttributeUpdate
- data UpdateAction
  - = UPut
  - | UAdd
  - | UDelete
- data UpdateItemResponse = UpdateItemResponse {
  - uirAttrs :: Maybe Item
  - uirConsumed :: Maybe ConsumedCapacity
  }

# Documentation

data UpdateItem #

An `UpdateItem` request.

Constructors

UpdateItem |

Fields

- uiTable :: Text
- uiKey :: PrimaryKey
- uiUpdates :: [AttributeUpdate]
- uiExpect :: Conditions

  Conditional update - see DynamoDb documentation

- uiReturn :: UpdateReturn
- uiRetCons :: ReturnConsumption
- uiRetMet :: ReturnItemCollectionMetrics

#### Instances

Instances details

ToJSON UpdateItem # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods toJSON :: UpdateItem -> Value # toEncoding :: UpdateItem -> Encoding # toJSONList :: [UpdateItem] -> Value # toEncodingList :: [UpdateItem] -> Encoding # omitField :: UpdateItem -> Bool #
SignQuery UpdateItem # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Associated Types

type ServiceConfiguration UpdateItem |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ServiceConfiguration UpdateItem = DdbConfiguration

Methods

signQuery :: UpdateItem -> ServiceConfiguration UpdateItem queryType -> SignatureData -> SignedQuery #

Read UpdateItem # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods readsPrec :: Int -> ReadS UpdateItem # readList :: ReadS [UpdateItem] # readPrec :: ReadPrec UpdateItem # readListPrec :: ReadPrec [UpdateItem] #
Show UpdateItem # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods showsPrec :: Int -> UpdateItem -> ShowS # show :: UpdateItem -> String # showList :: [UpdateItem] -> ShowS #
Eq UpdateItem # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods (==) :: UpdateItem -> UpdateItem -> Bool # (/=) :: UpdateItem -> UpdateItem -> Bool #
Ord UpdateItem # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods compare :: UpdateItem -> UpdateItem -> Ordering # (<) :: UpdateItem -> UpdateItem -> Bool # (<=) :: UpdateItem -> UpdateItem -> Bool # (>) :: UpdateItem -> UpdateItem -> Bool # (>=) :: UpdateItem -> UpdateItem -> Bool # max :: UpdateItem -> UpdateItem -> UpdateItem # min :: UpdateItem -> UpdateItem -> UpdateItem #
Transaction UpdateItem UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem
type ServiceConfiguration UpdateItem # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ServiceConfiguration UpdateItem = DdbConfiguration

updateItem #

Arguments

:: Text | Table name
-> PrimaryKey | Primary key for item
-> [AttributeUpdate] | Updates for this item
-> UpdateItem |

Construct a minimal `UpdateItem` request.

data AttributeUpdate #

Constructors

AttributeUpdate |

Fields

- auAttr :: Attribute

  Attribute key-value

- auAction :: UpdateAction

  Type of update operation.

#### Instances

Instances details

DynSize AttributeUpdate # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods dynSize :: AttributeUpdate -> Int #
Read AttributeUpdate # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods readsPrec :: Int -> ReadS AttributeUpdate # readList :: ReadS [AttributeUpdate] # readPrec :: ReadPrec AttributeUpdate # readListPrec :: ReadPrec [AttributeUpdate] #
Show AttributeUpdate # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods showsPrec :: Int -> AttributeUpdate -> ShowS # show :: AttributeUpdate -> String # showList :: [AttributeUpdate] -> ShowS #
Eq AttributeUpdate # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods (==) :: AttributeUpdate -> AttributeUpdate -> Bool # (/=) :: AttributeUpdate -> AttributeUpdate -> Bool #
Ord AttributeUpdate # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Methods

compare :: AttributeUpdate -> AttributeUpdate -> Ordering #

(<) :: AttributeUpdate -> AttributeUpdate -> Bool #

(<=) :: AttributeUpdate -> AttributeUpdate -> Bool #

(>) :: AttributeUpdate -> AttributeUpdate -> Bool #

(>=) :: AttributeUpdate -> AttributeUpdate -> Bool #

max :: AttributeUpdate -> AttributeUpdate -> AttributeUpdate #

min :: AttributeUpdate -> AttributeUpdate -> AttributeUpdate #

au :: Attribute -> AttributeUpdate #

Shorthand for the `AttributeUpdate` constructor. Defaults to PUT for the update action.

data UpdateAction #

Type of attribute update to perform.

See AWS docs at:

    http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateItem.html

Constructors

UPut | Simpley write, overwriting any previous value
UAdd | Numerical add or add to set.
UDelete | Empty value: remove; Set value: Subtract from set.

#### Instances

Instances details

ToJSON UpdateAction # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods toJSON :: UpdateAction -> Value # toEncoding :: UpdateAction -> Encoding # toJSONList :: [UpdateAction] -> Value # toEncodingList :: [UpdateAction] -> Encoding # omitField :: UpdateAction -> Bool #
Read UpdateAction # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods readsPrec :: Int -> ReadS UpdateAction # readList :: ReadS [UpdateAction] # readPrec :: ReadPrec UpdateAction # readListPrec :: ReadPrec [UpdateAction] #
Show UpdateAction # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods showsPrec :: Int -> UpdateAction -> ShowS # show :: UpdateAction -> String # showList :: [UpdateAction] -> ShowS #
Default UpdateAction # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods def :: UpdateAction #
Eq UpdateAction # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods (==) :: UpdateAction -> UpdateAction -> Bool # (/=) :: UpdateAction -> UpdateAction -> Bool #
Ord UpdateAction # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Methods

compare :: UpdateAction -> UpdateAction -> Ordering #

(<) :: UpdateAction -> UpdateAction -> Bool #

(<=) :: UpdateAction -> UpdateAction -> Bool #

(>) :: UpdateAction -> UpdateAction -> Bool #

(>=) :: UpdateAction -> UpdateAction -> Bool #

max :: UpdateAction -> UpdateAction -> UpdateAction #

min :: UpdateAction -> UpdateAction -> UpdateAction #

data UpdateItemResponse #

Constructors

UpdateItemResponse |

Fields

- uirAttrs :: Maybe Item

  Old attributes, if requested

- uirConsumed :: Maybe ConsumedCapacity

  Amount of capacity consumed

#### Instances

Instances details

FromJSON UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods parseJSON :: Value -> Parser UpdateItemResponse # parseJSONList :: Value -> Parser [UpdateItemResponse] # omittedField :: Maybe UpdateItemResponse #
AsMemoryResponse UpdateItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Associated Types

type MemoryResponse UpdateItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type MemoryResponse UpdateItemResponse = UpdateItemResponse

Methods

loadToMemory :: UpdateItemResponse -> ResourceT IO (MemoryResponse UpdateItemResponse) #

Read UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods readsPrec :: Int -> ReadS UpdateItemResponse # readList :: ReadS [UpdateItemResponse] # readPrec :: ReadPrec UpdateItemResponse # readListPrec :: ReadPrec [UpdateItemResponse] #
Show UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods showsPrec :: Int -> UpdateItemResponse -> ShowS # show :: UpdateItemResponse -> String # showList :: [UpdateItemResponse] -> ShowS #
Eq UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem Methods (==) :: UpdateItemResponse -> UpdateItemResponse -> Bool # (/=) :: UpdateItemResponse -> UpdateItemResponse -> Bool #
Ord UpdateItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Methods

compare :: UpdateItemResponse -> UpdateItemResponse -> Ordering #

(<) :: UpdateItemResponse -> UpdateItemResponse -> Bool #

(<=) :: UpdateItemResponse -> UpdateItemResponse -> Bool #

(>) :: UpdateItemResponse -> UpdateItemResponse -> Bool #

(>=) :: UpdateItemResponse -> UpdateItemResponse -> Bool #

max :: UpdateItemResponse -> UpdateItemResponse -> UpdateItemResponse #

min :: UpdateItemResponse -> UpdateItemResponse -> UpdateItemResponse #

ResponseConsumer r UpdateItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Associated Types

type ResponseMetadata UpdateItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ResponseMetadata UpdateItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata UpdateItemResponse) -> HTTPResponseConsumer UpdateItemResponse #

Transaction UpdateItem UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem
type MemoryResponse UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type MemoryResponse UpdateItemResponse = UpdateItemResponse
type ResponseMetadata UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ResponseMetadata UpdateItemResponse = DdbResponse